Skip to content

updateProducts.v1

POST
/shopgate.cart.updateProducts.v1

Updates the quantity for one or multiple cart items referenced by their respective cartItemId. Depending on the shop and it’s cart rules certain quantities can be rejected.

Note: Depending on the installed extensions, custom errors can be returned on failure.

Media typeapplication/json
Array<object>
object
cartItemId
string
quantity
number
Examplegenerated
[
{
"cartItemId": "example",
"quantity": 1
}
]

Returns an empty object after the action was performed.

Media typeapplication/json
object
output
required
object
Example
{
"output": {}
}

This error is thrown when there is an issue with updating one or multiple products within the cart.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: ECART
message
string
errors
Array<object>
object
entityId
required
string
code
required
string
Allowed values: ENOTFOUND EINSUFFICIENTSTOCK
message
required

The message specific to the product with the matching identifier. This is either a translation string or an already translated string. Translation strings are just key/object or key/value pairs defined in the ‘locales/.json’ files, that have a translation which could be applied. The value syntax assigned for each translation string key is described here: https://github.com/yahoo/intl-messageformat#message-syntax

string
messageParams

The message params for the translation string. Translation params are just key/value pairs defined in the translation string defined in the ‘locales/.json’ for the translation key in the message property. It defaults to an empty object if the property is missing or null. The translation string syntax is described here: https://github.com/yahoo/intl-messageformat#message-syntax

object
my-custom-key
string
my-custom-value
string
translated

Indicates if the ‘message’ property contains a translated string (true) or a translation string (false or undefined). Defaults to true if the property is missing or null.

boolean
Example
{
"error": {
"code": "ECART",
"message": "There was a problem while trying to update one or multiple products in the cart.",
"errors": [
{
"entityId": "product-number-123",
"code": "EINSUFFICIENTSTOCK",
"message": "cart.error.insufficientstock",
"messageParams": {
"productName": "Apple Pie"
},
"translated": false
},
{
"entityId": "unavailable-product-with-product-number-987",
"code": "ENOTFOUND",
"message": "The product 'Samba Hat' can't be found and was therefore not added to the cart.",
"translated": true
}
]
}
}

An internal error occurred.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: EUNKNOWN
message
string
Example
{
"error": {
"code": "EUNKNOWN",
"message": "An internal error occurred."
}
}